summaryrefslogtreecommitdiffstats
path: root/Tools/scripts
diff options
context:
space:
mode:
authoredwin <edwin@FreeBSD.org>2005-11-26 01:15:20 +0000
committeredwin <edwin@FreeBSD.org>2005-11-26 01:15:20 +0000
commitfc64bfacec79692bcd96d8eccfd6631445419b22 (patch)
tree69a027363a2147c040451a1f5ed469162f90f644 /Tools/scripts
parent7812587277b7961bf32d0196e1bea1721b58041f (diff)
downloadFreeBSD-ports-fc64bfacec79692bcd96d8eccfd6631445419b22.zip
FreeBSD-ports-fc64bfacec79692bcd96d8eccfd6631445419b22.tar.gz
Utility: A tool to identify similar pkg-descr files
The ports tree contains many tools with almost-similar names and no helpful pkg-descr difference. The goal of pkg-descr would be to aid the user in his choice of port version. Ergo, similar pkg-descr files are bad. PR: ports/89432 Submitted by: Jonathan <afarsec@012.net.il>
Diffstat (limited to 'Tools/scripts')
-rwxr-xr-xTools/scripts/bad-pkgdescrs.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/Tools/scripts/bad-pkgdescrs.sh b/Tools/scripts/bad-pkgdescrs.sh
new file mode 100755
index 0000000..109cd59
--- /dev/null
+++ b/Tools/scripts/bad-pkgdescrs.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+# Version 0.2
+# This script is public domain, for any given public, in every type of domain.
+# onatan@gmail.com
+
+usage(){
+ echo "$0 [/usr/ports]"
+ echo "Locates identical pkg-descr files"
+ exit 1
+}
+
+DIR=${1-/usr/ports}
+[ -d ${DIR} ] || usage
+
+find ${DIR}/ -name pkg-descr -exec md5 -r {} \; 2>/dev/null | \
+ sort | \
+ xargs -L 9999999999 | \
+ awk ' \
+ { size=split($0,arr," ") } \
+ { for (i=1; i<size; ++i) \
+ if ( arr[i] == arr[i+2] ) \
+ print arr[i+1] " == " arr[i+3] \
+ } \
+ '
OpenPOWER on IntegriCloud